classification
Title: Make math.{floor,ceil}(float) return ints per PEP 3141
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: jyasskin Nosy List: gvanrossum, jyasskin
Priority: normal Keywords: patch

Created on 2007-12-19 04:39 by jyasskin, last changed 2008-01-06 22:28 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
floorceil_return_int.patch jyasskin, 2007-12-19 04:39
Messages (3)
msg58792 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2007-12-19 04:39
See
http://python.org/dev/peps/pep-3141/#changes-to-operations-and-magic-methods
msg59266 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-01-04 23:10
looks good.
msg59327 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2008-01-05 20:05
Submitted as r59747.
History
Date User Action Args
2008-01-06 22:28:45adminsetkeywords: - py3k
versions: Python 3.0
2008-01-05 20:05:28jyasskinsetstatus: open -> closed
keywords: + py3k
messages: + msg59327
2008-01-04 23:10:38gvanrossumsetassignee: gvanrossum -> jyasskin
resolution: accepted
messages: + msg59266
2007-12-19 20:01:31gvanrossumsetpriority: normal
assignee: gvanrossum
keywords: + patch
nosy: + gvanrossum
2007-12-19 04:39:34jyasskincreate